# To set up a development environment using conda run:
#
#   conda env create -f environment.yml
#   conda activate mpl-dev
#   pip install -e .
#
name: mpl-dev
channels:
  - conda-forge
dependencies:
  # runtime dependencies
  - cairocffi
  - contourpy>=1.0.1
  - cycler>=0.10.0
  - fonttools>=4.22.0
  - importlib-resources>=3.2.0
  - kiwisolver>=1.3.1
  - numpy>=1.21
  - pillow>=8
  - pybind11>=2.6.0
  - pygobject
  - pyparsing>=2.3.1
  - pyqt
  - python-dateutil>=2.1
  - setuptools
  - setuptools_scm
  - wxpython
  # building documentation
  - colorspacious
  - graphviz
  - ipython
  - ipywidgets
  - numpydoc>=0.8
  - packaging
  - pydata-sphinx-theme
  - pyyaml
  - sphinx>=1.8.1,!=2.0.0
  - sphinx-copybutton
  - sphinx-gallery>=0.12
  - sphinx-design
  - pip
  - pip:
      - mpl-sphinx-theme
      - sphinxcontrib-svg2pdfconverter
      - pikepdf
  # testing
  - coverage
  - flake8>=3.8
  - flake8-docstrings>=1.4.0
  - gtk4
  - ipykernel
  - nbconvert[execute]!=6.0.0,!=6.0.1,!=7.3.0,!=7.3.1
  - nbformat!=5.0.0,!=5.0.1
  - pandas!=0.25.0
  - psutil
  - pre-commit
  - pydocstyle>=5.1.0
  - pytest!=4.6.0,!=5.4.0
  - pytest-cov
  - pytest-rerunfailures
  - pytest-timeout
  - pytest-xdist
  - tornado
  - pytz
  - black<24
